#!/bin/bash
docker network create oc | true

docker compose down
cd ./tools && docker compose  -f ./docker-compose.dev.yml up --force-recreate -d && cd ..
cd ./tools && docker compose  -f ./docker-compose.traefik.yml up --force-recreate -d  && cd ..

cd ../..

REPOS=(
    "oc-auth"
    "oc-catalog"
    "oc-datacenter"
    "oc-monitord"
    "oc-peer"
    "oc-shared"
    "oc-scheduler"
    "oc-schedulerd"
    "oc-workflow"
    "oc-workspace"
    "oc-front"
)
for i in "${REPOS[@]}"
do
   echo "Building $i"
   docker kill $i | true
   docker rm $i | true
   cd ./$i 
   docker build . -t $i && docker compose up -d
   cd ..
done